2014-04-08 libmms-0.6.4 release (blutomat <blutomat@gmail.com>)
---------------------------------------------------------------

* Fix a possible heap memory overrun in get_answer().
  Reported by Alex Chapman.

2014-04-02 libmms-0.6.3 release (blutomat <blutomat@gmail.com>)
---------------------------------------------------------------

* Some changes for more recent automake versions
* Remove glib dependency from uri.c and thus from whole libmms, patch by Andre Przywara
  http://sourceforge.net/p/libmms/patches/11/
* Fix several issues that prevented seeking from working, patch by John Lindgren
  http://sourceforge.net/p/libmms/patches/12/
* Remove dependency on iconv
  https://sourceforge.net/p/libmms/bugs/15/
* Fix connecting to certain mms streams, patch by gstblub
  http://sourceforge.net/p/libmms/bugs/13/

2011-01-17 libmms-0.6.2 release (Hans de Goede <j.w.r.degoede@gmail.com>)
-------------------------------------------------------------------------

* Really fix building libmms with mingw, once more thanks to Carlo Bramini
* Move a lot of duplicate code between mms and mmsh to a new
  mms-common-funcs file
* Fix several issues in the stream selection code when dealing with mms
  streams with multiple audio / video streams inside them
  https://bugs.launchpad.net/libmms/+bug/381782
  https://bugs.launchpad.net/libmms/+bug/414892

2011-01-11 libmms-0.6.1 release (Hans de Goede <j.w.r.degoede@gmail.com>)
-------------------------------------------------------------------------

* Fix use of this keyword in public headers, patch by Fabian Greffrath
  http://bugzilla.rpmfusion.org/show_bug.cgi?id=1596
* Add support for getting file creation time patch by Norman Rasmussen
  https://sourceforge.net/tracker/?func=detail&aid=3072760&group_id=101989&atid=630607
  https://bugs.edge.launchpad.net/libmms/+bug/398287
* Fix endianness macros doing unaligned word accesses (this also fixes
  the strict aliasing warnings):
  https://sourceforge.net/tracker/?func=detail&aid=3068992&group_id=101989&atid=630609
  https://sourceforge.net/tracker/?func=detail&aid=3050812&group_id=101989&atid=630607
* Add support for compiling under mingw and BeOS, patch by Carlo Bramini
  https://sourceforge.net/tracker/?func=detail&aid=3072635&group_id=101989&atid=630607
  https://bugs.launchpad.net/libmms/+bug/339946
* Add support for connecting to mmsh / mmst streams over ipv6,
  based on a patch by Cristian Morales Vega:
  https://sourceforge.net/tracker/?func=detail&aid=3051744&group_id=101989&atid=630609 
* Fix mmsh infinite loop when stream not avaliable any more, patch by
  Serge (sf account ttipok):
  https://sourceforge.net/tracker/?func=detail&aid=3025529&group_id=101989&atid=630609


2010-05-30 libmms-0.6 release (Hans de Goede <j.w.r.degoede@gmail.com>)
-----------------------------------------------------------------------

* libmms hosting has moved back to sf.net and switched to git as vcs
* For mms:// uris try mmsh before mms like mediaplayer does, this avoids
  large connection delays with servers which silently drop packets to the
  mmsh port. This resolves:
  https://bugs.launchpad.net/libmms/+bug/517007
  https://bugs.launchpad.net/libmms/+bug/512089
* mmsh: allow stream ids > 23
  This brings the mms patch from below to our mmsh support code as well:
  https://sourceforge.net/tracker/?func=detail&aid=1521441&group_id=101989&atid=630609
* Add support for GUID_ASF_EXTENDED_STREAM_PROPERTIES to mms, add the
  GUID_ASF_EXTENDED_STREAM_PROPERTIES support added to the mmsh code in
  the 0.5 release to our mms code too
* Many cleanups and out of bounds buffer access checks added
* Debug printf's are now always compiled in, but they are silent by default
  set the LIBMMS_DEBUG environment variable to enable them
* Don't fall back to lowest bitrate video stream when id 0 is the one we want
* Remove percent escaping from mms uris before sending them to the server:
  http://bugs.xine-project.org/show_bug.cgi?id=99
* Testing has shown the above bugfixes also resolve:
  https://bugs.launchpad.net/libmms/+bug/540476
  https://bugs.launchpad.net/libmms/+bug/531326
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=493735
  https://bugs.launchpad.net/libmms/+bug/477876

Old per change ChangeLog entries
--------------------------------

2009-11-03  Maxim Levitsky <maximlevitsky@gmail.com>

	* Rework URL handling
	* Increase buffer size for very long URLS and handle buffer overflow

2007-12-11  Hans de Goede <j.w.r.degoede@gmail.com>

	* Remove out of date (not working with recent autotools) autogen.sh,
	  use: "autoreconf -i -f -v" instead.

2007-12-11  Hans de Goede <j.w.r.degoede@gmail.com>

	* Better tracking of seekable state in mms.c, return immediately
	  from the seek functions when they gat called on a non seekable
	  stream.

2007-12-11  Hans de Goede <j.w.r.degoede@gmail.com>

	* Do some minimal sanity checks on the information parsed from the
	  asf header.

2007-12-11  Hans de Goede <j.w.r.degoede@gmail.com>

	* Add mmsx.c / .h, mmsx.c is a small wrapper around mms.c and mmsh.c
	  The mmsx functions provide transparent access to both protocols
	  so that programs who wish to support both can do so with a single
	  code path if desired.

2007-12-11  Hans de Goede <j.w.r.degoede@gmail.com>

	* Add an atrribute to the mms / mmsh structs to track if the
	  stream is seekable and export it. 

2007-12-11  Hans de Goede <j.w.r.degoede@gmail.com>

	* Add support for both time and byte offset based mmsh seeking!

2007-12-11  Hans de Goede <j.w.r.degoede@gmail.com>

	* Export (add get methods for) asf header- and packet-length.

2007-12-11  Hans de Goede <j.w.r.degoede@gmail.com>

	* Calculate length returned by mss_get_length() instead if returning
	  the filesize from the header. The filesize usually is bigger then
	  then the header + all packets because the end of the file contains
	  time->packet offset lookup tables, however these tables are not
	  accessible through mms.

2007-12-11  Hans de Goede <j.w.r.degoede@gmail.com>

	* Some off_t changes so that applications no longer need to be
	  have _FILE_OFFSET_BITS defined to 64 when compiling, when they
	  will be linked against a libmms which did have _FILE_OFFSET_BITS
	  defined to 64 during its compile (which gets defined by default
	  by configure on systems which support it).

2007-09-10  Soren Hansen <shawarma@users.sourceforge.net>

	* Fix libmms to work with URL's that contain a query string.
	  Many thanks to Bob Richmond for discovering this and providing
	  a patch!

2007-09-10  Soren Hansen <shawarma@users.sourceforge.net>

	* Fix hardcoded path in pkgconfig. Thanks to Ronald Bultje for
	  the patch!

2007-09-09  Soren Hansen <shawarma@users.sourceforge.net>

	* Make libmms C89 compliant. Thanks to Jens Granseuer for the
	  patch!

2007-09-09  Soren Hansen <shawarma@users.sourceforge.net>

	* Fix discarded first mmsh packet. Thanks to
	  azwemmer@users.sourceforge.net for the patch!

2007-09-09  Soren Hansen <shawarma@users.sourceforge.net>

	* Fix URL handling. Thanks to Gabriel Velo for the patch!

2007-09-09  Soren Hansen <shawarma@users.sourceforge.net>

	* Added seeking support. Many thanks to Anon Sricharoenchai
	  for this excellent work!

2007-09-09  Soren Hansen <shawarma@users.sourceforge.net>

	* Fix stream ID > 23. Thanks to Fabrizio Gennari for the patch!

2007-09-09  Soren Hansen <shawarma@users.sourceforge.net>

	* Double the acceptable size of ASF headers. Thanks to Sjoerd
	  Simons for the patch!

2006-07-28  Soren Hansen <shawarma@users.sourceforge.net>

	* Apply security patches "stolen" from Debian. Thanks to Wesley J.
	  Landaker, Martin Pitt and Matthias Hopf.
	* Applied patch from Daniel Rogers <daniel@phasevelocity.org> to
	  enable mms through proxies!

2005-12-12  Christian Schaller <uraeus@gnome.org>

	* Add mmsh.h to Makefile for distribution/installation
	* func mmsh_read, it doesnt return 0 even after it reaches the end.
	  Fix from Edgard Lima

2005-11-30  Christian Schaller  <uraeus@gnome.org>

	Merge changes to get mmsh support, patch from  Akira TAGOH
	* configure.in:
	* libmms.spec.in:
	* src/Makefile.am:
	* src/asfheader.h:
	* src/mms.c: (fallback_io_read), (send_command),
	(interp_asf_header), (mms_choose_best_streams):
	* src/mms.h:
	* src/mmsh.c: (fallback_io_select), (fallback_io_read),
	(fallback_io_write), (fallback_io_tcp_connect), (send_command),
	(get_answer), (get_chunk_header), (get_header), (interp_header),
	(mmsh_tcp_connect), (mmsh_connect_int), (mmsh_connect),
	(get_media_packet), (mmsh_read), (mmsh_get_current_pos):
	* src/mmsh.h:

2005-03-15  mathrick  <mathrick@users.sourcefourge.net>

	* src/mms.c:
	Ahem. We should be able to handle EOF, instead of falling into infloop, shouldn't we?

2005-03-06  mathrick  <mathrick@users.sourcefourge.net>

	* src/mms.c:
	Fix offets in live streams. Hope it doesn't break anything,
	will need to redo probably when seeking gets in.

2005-01-06  mathrick  <mathrick@users.sourcefourge.net>

	* pkgconfig/libmms.pc.in:
	Fix stupid mistake. Include dir should be $prefix/include, not
	$prefix/include/libmms.

2004-12-27  mathrick  <mathrick@users.sourcefourge.net>

	* src/mms.c:
	Fix compilation warning about comm unused in print_command(), wrong #defines used.
	Thanks to Stephane Loeuillet for noticing that.

2004-12-22  mathrick  <mathrick@users.sourcefourge.net>

	* src/mms.c:
	Kill printfs so that we aren't as verbose as we used to be. This time for real

	* Makefile.am, configure.in, src/Makefile.am:
	yay! libmms now correctly works, fixed miscompilation wrt large file support that
	caused gst-mms to trash offsets. Almost ready for first release, now only removing
	stray printf()s is pending


2004-12-22  mathrick  <mathrick@users.sourcefourge.net>

	* ChangeLog:
	Add patches from Stephane and Ronald, hope we don't get 
	any conflicts from applying them twice (as it seems Christian
	already commited Stephane's)

2004-12-11  Christian Fredrik Kalager Schaller  <uraeus@fluendo.com>

	* src/Makefile.am, src/mms.c, src/testconnect.c, ChangeLog, autogen.sh:
	patch from Stephane to fix some build issues

2004-12-11  Christian Fredrik Kalager Schaller  <uraeus@fluendo.com>

	* src/Makefile.am, src/mms.c, src/testconnect.c, ChangeLog, autogen.sh:
	patch from Stephane to fix some build issues

2004-12-11  Stephane Loeuillet <stephane.loeuillet@tiscali.fr>

	* autogen.sh : use POSIX form of 'head' (-n 1, instead of deprecated GNU only -1)
	* src/mms.c : fix 4 warnings related to missing casts
	* src/testconnect.c : non-void function should return something
	* src/Makefile.am : if we don't plan to build testconnect, don't make automake think it exists
	* pkgconfig/libmms.pc.in : add 'glib-2.0' to 'Requires' in .pc file

2004-12-09  Christian Fredrik Kalager Schaller  <uraeus@fluendo.com>

	* .cvsignore: add  some more files to be ignored
	* COPYING: Remove this
	* COPYING.LIB: Add this
	* Makefile.am: Update to actually work
	* autogen.sh: Completly replace with something nice
	* configure.in: Update for latest changes
	* src/Makefile.am: Update to install all we need
	* pkgconfig: add directory with .pc file

2004-10-26  shawarma  <shawarma@users.sourceforge.net>

	* configure: New configure due to changes in configure.in

	* configure.in: Added a check for gnet-2.0

	* src/Makefile.am: Added the different tests to the makefiles

	* src/mms.c: Added missing include

	* src/.cvsignore, .cvsignore: Adjusted .cvsignore

	* .cvsignore, src/.cvsignore: Tweaked .cvsignore

2004-10-22  shawarma  <shawarma@users.sourceforge.net>

	* autogen.sh:
	Added libtoolize to the chain. Something changed between automake 1.4 and 1.7 that forces us to do this.

	* configure.in: Fixed a bug?

	* configure.in, src/Makefile.am, src/mms.c, TODO, autogen.sh, configure:
	Everything should be wrapped in GNU autotools now

2004-10-21  mathrick  <mathrick@users.sourceforge.net>

	* ChangeLog, src/bswap.h, src/mms.c, src/mms.h, src/testconnect.c, src/testdownload.c, src/testswap.c:
	Uhm, so basically now it works. Fixed funky bug in byteswapping (yay for meaningful
	macros names!). Added test for that. Added tests for connection and basic
	downloading (work). Removed some crufty bits from code, although there's still lots
	xine-specific code that'll need to be removed/abstracted (TODO: how to do progress
	reporting?)

2004-10-21  mathrick  <mathrick@users.sourcefourge.net>

	* src/testconnect.c: Test connection to mms:// host

	* src/testdownload.c: Test connection and basic download

	* src/testswap.c: Test byteswapping macros -- we don't want to screw it 
	up again, do we?

2004-05-08  mathrick  <mathrick@users.sourcefourge.net>

	* src/bswap.h, src/mms.c, src/mms.h:
	Some initial commenting-out done in order to get it compiling w/o xine. Nothing working yet, though.

2004-05-05  mathrick  <mathrick@users.sourcefourge.net>

	* src/mms.c, src/mms.h:
	Import new, overhauled mms.[ch] from xine's tree. Code is cleaner now.

2004-03-01  mathrick  <mathrick@users.sourcefourge.net>

	* ChangeLog: *** empty log message ***

	* TODO, src/README.AUX, src/asfheader.h, src/mms.c, src/mms.h, ChangeLog:
	Slight changes in source files
	added some non sources like TODO
	imported asfheader.h

2004-03-01  mathrick  <mathrick@users.sourcefourge.net>

	* TODO, src/README.AUX, src/asfheader.h, src/libmms/TODO, src/libmms/src/README.AUX, src/libmms/src/asfheader.h, src/libmms/src/mms.c, src/libmms/src/mms.h, src/mms.c, src/mms.h, ChangeLog, src/libmms/ChangeLog:
	Slight changes in source files
	added some non sources like TODO
	imported asfheader.h

2004-02-20  mathrick  <mathrick@users.sourcefourge.net>

	* AUTHORS, README, src/libmms/AUTHORS, src/libmms/README, README.LICENSE, src/libmms/README.LICENSE:
	Filled in some info about project, corrected and enhanced details in AUTHORS

2004-02-18 mathrick  <mathrick@users.sourcefourge.net>

	* bswap.h, libmms/src/bswap.h: Done this incredibly creative
	byteswapping work, by stealing GLib's code and massaging it into
	file. It is no longer xine work, now it's fully LGPL licensed.

	* bswap.h, libmms/src/bswap.h, libmms/src/mms.c, libmms/src/mms.h,
	mms.c, mms.h: Imported bswap.h from xine (it's temporary fix, only
	to know what name are in there, no code is intended to be copied).
	Removed trailing whitespace from mms.[ch]

2004-02-17  shawarma  <shawarma@users.sourcefourge.net>

	* libmms/AUTHORS: Created AUTHORS

	* Makefile.am, libmms/src/Makefile.am: Forgot to add the header
	files to Makefile.am

2004-02-15 mathrick  <mathrick@users.sourcefourge.net>

	* libmms/src/mmsh.c, libmms/src/mmsh.h, mmsh.c, mmsh.h,
	input_mms.c, libmms/src/input_mms.c, libmms/src/mms.c,
	libmms/src/mms.h, mms.c, mms.h: Should be a little more sane now,
	with code dating back to 2001 removed ;)

2004-02-13  shawarma  <shawarma@users.sourcefourge.net>

	* libmms/autom4te.cache/output.0, libmms/autom4te.cache/requests,
	libmms/autom4te.cache/traces.0: These shouldn't have been imported
	in the first place..

	* Makefile.am, bswap.h, libmms/autom4te.cache/output.0,
	libmms/autom4te.cache/traces.0, libmms/src/Makefile.am,
	libmms/src/bswap.h, libmms/src/mms.c, libmms/src/mms.h, mms.c,
	mms.h: Initial import of new source tree. Source files are from
	xine-mms project.

	* Makefile.am, bswap.h, libmms/autom4te.cache/output.0,
	libmms/autom4te.cache/traces.0, libmms/src/Makefile.am,
	libmms/src/bswap.h, libmms/src/mms.c, libmms/src/mms.h, mms.c,
	mms.h: New file.

	* libmms/AUTHORS, libmms/ChangeLog, libmms/NEWS, libmms/README,
	libmms/autom4te.cache/requests, libmms/configure: Initial import
	of new source tree. Source files are from xine-mms project.

	* libmms/AUTHORS, libmms/ChangeLog, libmms/NEWS, libmms/README,
	libmms/autom4te.cache/requests, libmms/configure: New file.

	* libmms/COPYING: Initial import of new source tree. Source files
	are from xine-mms project.

	* libmms/COPYING: New file.

	* libmms/INSTALL, libmms/Makefile.am, libmms/configure.in: Initial
	import of new source tree. Source files are from xine-mms project.

	* libmms/INSTALL, libmms/Makefile.am, libmms/configure.in: New
	file.

